import type { ChainModifiers, Entry, EntryFieldTypes, EntrySkeletonType, LocaleCode } from 'contentful'
import {BlogPostFields} from "./blogPost";
import {ContentImage} from "../lib/contentful/contentImage";

export interface BlogPostCategoryFields {
    title: EntryFieldTypes.Symbol
    slug: EntryFieldTypes.Symbol
}

export interface BlogPostCategory {
    title: string
    slug: string
}

export type BlogPostCategorySkeleton = EntrySkeletonType<BlogPostCategoryFields, 'blogPostCategory'>
export type BlogPostCategoryEntry<Modifiers extends ChainModifiers, Locales extends LocaleCode> = Entry<
    BlogPostCategorySkeleton,
    Modifiers,
    Locales
>